Operations
Run hardware test
Starts a non-destructive hardware test on the service and returns the created operation, which continues after the response.
Autorisations
- Authorizationstringheaderobligatoire
Organization API key (org_...), created in the cloud console at https://cloud.serverside.com and shown once, sent as Authorization: Bearer <key>. It authenticates as the organization.
Permission requise : organization.baremetal.deploy
Paramètres de chemin
- idstring<uuid>obligatoire
Corps
application/json- isCpuIncludedbooleanobligatoire
- isMemoryIncludedbooleanobligatoire
- isDiskIncludedbooleanobligatoire
- isSmartIncludedbooleanobligatoire
- cpuDurationSecondsinteger<int32> | null
- memoryDurationSecondsinteger<int32> | null
- diskDurationSecondsinteger<int32> | null
- cpuWorkersinteger<int32> | null
- memoryPercentinteger<int32> | null
- diskBlockSizestring | null
- diskIoDepthinteger<int32> | null
Réponse
201 · application/jsonCreated
- successbooleanobligatoire
- dataobject | nullobligatoire